import { useCallback, useMemo } from 'react';
import request from '@/utils/request';

export function useCodeImport() {
    
    const processBatch = useCallback(async (batch) => {
        const res = await request.post('/code/import', batch);
        const { code, msg, data } = res.data;
        if (code === 200) {

        } else {
            console.error(msg);
            throw new Error(`Batch import failed: ${msg}`);
        }
    }, []);

    return {
        processBatch,
    };
}
